diff --git a/changelog b/changelog
index 20b02f5..68560ea 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100629 tpd src/axiom-website/patches.html 20100629.07.tpd.patch
+20100629 tpd src/algebra/Makefile remove new algebra scaffolding code
 20100629 tpd src/axiom-website/patches.html 20100629.06.tpd.patch
 20100629 tpd src/input/monitortest.input fix minor breakage in results
 20100629 tpd src/axiom-website/patches.html 20100629.05.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index af0a39c..b9cb8a8 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -16457,908 +16457,6 @@ ${MID}/clique2.spad: ${CLIQUE2FILES}
 	   fi )
 	
 @
-\section{New Algebra dependencies}
-
-New algebra files can depend on new algebra files. Since these files
-are not part of the default database we need to be explicit about the
-new files being loaded with the library command.
-
-This block of files is necessary to build the GUESS package.
-<<newcode>>=
-
-FFFGFDEPS = FAMR2 FFFG
-
-${MID}/FFFGF.nrlib/code.o: ${MID}/FFFGF.spad
-	@echo S1 making ${MID}/FFFGF.nrlib/code.o from ${MID}/FFFGF.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${FFFGFDEPS} \n )co FFFGF.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${FFFGFDEPS} \n )co FFFGF.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-UTSSOLDEPS = SUPEXPR
-
-${MID}/UTSSOL.nrlib/code.o: ${MID}/UTSSOL.spad
-	@echo S1 making ${MID}/UTSSOL.nrlib/code.o from ${MID}/UTSSOL.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${UTSSOLDEPS} \n )co UTSSOL.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${UTSSOLDEPS} \n )co UTSSOL.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-EXPRSOLDEPS = SUPEXPR UTSSOL
-
-${MID}/EXPRSOL.nrlib/code.o: ${MID}/EXPRSOL.spad
-	@echo S1 making ${MID}/EXPRSOL.nrlib/code.o from ${MID}/EXPRSOL.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${EXPRSOLDEPS} \n )co EXPRSOL.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${EXPRSOLDEPS} \n )co EXPRSOL.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-GOPT0DEPS = GOPT
-
-${MID}/GOPT0.nrlib/code.o: ${MID}/GOPT0.spad
-	@echo S1 making ${MID}/GOPT0.nrlib/code.o from ${MID}/GOPT0.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GOPT0DEPS} \n )co GOPT0.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GOPT0DEPS} \n )co GOPT0.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-RECOPDEPS = SUPEXPR UTSSOL EXPRSOL UFPS
-
-${MID}/RECOP.nrlib/code.o: ${MID}/RECOP.spad
-	@echo S1 making ${MID}/RECOP.nrlib/code.o from ${MID}/RECOP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${RECOPDEPS} \n )co RECOP.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${RECOPDEPS} \n )co RECOP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-UFPS1DEPS = UFPS
-
-${MID}/UFPS1.nrlib/code.o: ${MID}/UFPS1.spad
-	@echo S1 making ${MID}/UFPS1.nrlib/code.o from ${MID}/UFPS1.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${UFPS1DEPS} \n )co UFPS1.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${UFPS1DEPS} \n )co UFPS1.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-NOTTINGDEPS = UFPS
-
-${MID}/NOTTING.nrlib/code.o: ${MID}/NOTTING.spad
-	@echo S1 making ${MID}/NOTTING.nrlib/code.o from ${MID}/NOTTING.spad
-	@ (cd ${MID} ; \
-	 if [ -z "${NOISE}" ] ; then \
-	  echo -e ")lib ${NOTTINGDEPS} \n )co NOTTING.spad" | ${INTERPSYS}  ; \
-         else \
-	  echo -e ")lib ${NOTTINGDEPS} \n )co NOTTING.spad" \
-	    | ${INTERPSYS} >${TMP}/trace ; \
-	 fi )
-
-GUESSDEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
-            UFPS RECOP UFPS1
-
-${MID}/GUESS.nrlib/code.o: ${MID}/GUESS.spad
-	@echo S1 making ${MID}/GUESS.nrlib/code.o from ${MID}/GUESS.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GUESSDEPS} \n )co GUESS.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GUESSDEPS} \n )co GUESS.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-GUESSINTDEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
-            UFPS RECOP UFPS1 GUESS
-
-${MID}/GUESSINT.nrlib/code.o: ${MID}/GUESSINT.spad
-	@echo S1 making ${MID}/GUESSINT.nrlib/code.o from ${MID}/GUESSINT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GUESSINTDEPS} \n )co GUESSINT.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GUESSINTDEPS} \n )co GUESSINT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-GUESSF1DEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
-            UFPS RECOP UFPS1 GUESS
-
-${MID}/GUESSF1.nrlib/code.o: ${MID}/GUESSF1.spad
-	@echo S1 making ${MID}/GUESSF1.nrlib/code.o from ${MID}/GUESSF1.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GUESSF1DEPS} \n )co GUESSF1.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GUESSF1DEPS} \n )co GUESSF1.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-GUESSFDEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
-            UFPS RECOP UFPS1 GUESS GUESSF1
-
-${MID}/GUESSF.nrlib/code.o: ${MID}/GUESSF.spad
-	@echo S1 making ${MID}/GUESSF.nrlib/code.o from ${MID}/GUESSF.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GUESSFDEPS} \n )co GUESSF.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GUESSFDEPS} \n )co GUESSF.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-GUESSPDEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
-            UFPS RECOP UFPS1 GUESS
-
-${MID}/GUESSP.nrlib/code.o: ${MID}/GUESSP.spad
-	@echo S1 making ${MID}/GUESSP.nrlib/code.o from ${MID}/GUESSP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GUESSPDEPS} \n )co GUESSP.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GUESSPDEPS} \n )co GUESSP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-GUESSANDEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
-            UFPS RECOP UFPS1 GUESS
-
-${MID}/GUESSAN.nrlib/code.o: ${MID}/GUESSAN.spad
-	@echo S1 making ${MID}/GUESSAN.nrlib/code.o from ${MID}/GUESSAN.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GUESSANDEPS} \n )co GUESSAN.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GUESSANDEPS} \n )co GUESSAN.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-GUESSUPDEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
-            UFPS RECOP UFPS1 GUESS MYEXPR MYUP
-
-${MID}/GUESSUP.nrlib/code.o: ${MID}/GUESSUP.spad
-	@echo S1 making ${MID}/GUESSUP.nrlib/code.o from ${MID}/GUESSUP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GUESSUPDEPS} \n )co GUESSUP.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${GUESSUPDEPS} \n )co GUESSUP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-@
-
-This block of files is necessary to build the PAPP package.
-
-The domain FFFACTSE does an import of the domain FFSQFR in order to 
-get the Yun function. This works in the interpreter because FFSQFR is
-already in the database after the build. At build time FFSQFR has already
-been compiled but the import does not load the library. We could fix this
-several ways. The optimal way seems to be to have the compimport function
-load the NRLIB. A sub-optimal but successful compromise is to load the
-required file by hand which we do here. Other alternative solutions might
-be
-\begin{itemize}
-\item does bootstrap mode just compile headers? is that all we need?
-\item we could add FFSQFR to the bootstrap layer. However, we are trying
-to shrink and elimiate bootstrap code so this is not good.
-\item we would rebuild the database after every layer. this eliminates
-several problems but we need to investigate what it breaks.
-\item we would rebuild the database after every compile. this eliminates
-several problems but we need to investigate what it breaks.
-\item as mentioned, we could have import do an implicit library call to
-load the imported file if it is not already known.
-\end{itemize}
-<<newcode>>=
-
-PAPPDEPS = FFSQFR
-
-${MID}/FFFACTSE.nrlib/code.o: ${MID}/FFFACTSE.spad
-	@echo P1 making ${MID}/FFFACTSE.nrlib/code.o from ${MID}/FFFACTSE.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PAPPDEPS} \n )co FFFACTSE.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${PAPPDEPS} \n )co FFFACTSE.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-
-@
-The PACFFC routine expects PseudoAlgebraicClosureOfPerfectFieldCategory
-to be autoloaded. However this function is not picked up by the 
-MakeConstructorsAutoLoad function (bookvol5). The correct fix is to 
-dynamically update the databases at compile time. This fix just causes
-the required file to be loaded, thus defining the function.
-<<newcode>>=
-
-PACFFCDEPS = PACPERC
-
-${MID}/PACFFC.nrlib/code.o: ${MID}/PACFFC.spad
-	@echo P2 making ${MID}/PACFFC.nrlib/code.o from ${MID}/PACFFC.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PACFFCDEPS} \n )co PACFFC.spad" | ${INTERPSYS}  ; \
-           else \
-	    echo -e ")lib ${PACFFCDEPS} \n )co PACFFC.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-The PACRATC routine expects PseudoAlgebraicClosureOfPerfectFieldCategory
-to be autoloaded. However this function is not picked up by the 
-MakeConstructorsAutoLoad function (bookvol5). The correct fix is to 
-dynamically update the databases at compile time. This fix just causes
-the required file to be loaded, thus defining the function.
-<<newcode>>=
-
-PACRATCDEPS = PACPERC
-
-${MID}/PACRATC.nrlib/code.o: ${MID}/PACRATC.spad
-	@echo P3 making ${MID}/PACRATC.nrlib/code.o from ${MID}/PACRATC.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PACRATCDEPS} \n )co PACRATC.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PACRATCDEPS} \n )co PACRATC.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-FACTRNDEPS = PACPERC PACRATC
-
-${MID}/FACTRN.nrlib/code.o: ${MID}/FACTRN.spad
-	@echo P3 making ${MID}/FACTRN.nrlib/code.o from ${MID}/FACTRN.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${FACTRNDEPS} \n )co FACTRN.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${FACTRNDEPS} \n )co FACTRN.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PACRATDEPS = PACPERC PACRATC FACTRN
-
-${MID}/PACRAT.nrlib/code.o: ${MID}/PACRAT.spad
-	@echo P3 making ${MID}/PACRAT.nrlib/code.o from ${MID}/PACRAT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PACRATDEPS} \n )co PACRAT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PACRATDEPS} \n )co PACRAT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PACOFFDEPS = PACPERC PACFFC FFFACTSE
-
-${MID}/PACOFF.nrlib/code.o: ${MID}/PACOFF.spad
-	@echo P3 making ${MID}/PACOFF.nrlib/code.o from ${MID}/PACOFF.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PACOFFDEPS} \n )co PACOFF.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PACOFFDEPS} \n )co PACOFF.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PACEXTCDEPS = PACPERC PACRATC PACRAT
-
-${MID}/PACEXTC.nrlib/code.o: ${MID}/PACEXTC.spad
-	@echo P3 making ${MID}/PACEXTC.nrlib/code.o from ${MID}/PACEXTC.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PACEXTCDEPS} \n )co PACEXTC.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PACEXTCDEPS} \n )co PACEXTC.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-FACTEXTDEPS = PACPERC PACRATC PACEXTC PACRAT FACTRN
-
-${MID}/FACTEXT.nrlib/code.o: ${MID}/FACTEXT.spad
-	@echo P3 making ${MID}/FACTEXT.nrlib/code.o from ${MID}/FACTEXT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${FACTEXTDEPS} \n )co FACTEXT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${FACTEXTDEPS} \n )co FACTEXT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PACEXTDEPS = PACEXTC PACPERC PACRATC PACRAT FACTEXT
-
-${MID}/PACEXT.nrlib/code.o: ${MID}/PACEXT.spad
-	@echo P3 making ${MID}/PACEXT.nrlib/code.o from ${MID}/PACEXT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PACEXTDEPS} \n )co PACEXT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PACEXTDEPS} \n )co PACEXT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-LOPDEPS = PACPERC
-
-${MID}/LOP.nrlib/code.o: ${MID}/LOP.spad
-	@echo P3 making ${MID}/LOP.nrlib/code.o from ${MID}/LOP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${LOPDEPS} \n )co LOP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${LOPDEPS} \n )co LOP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-RFPDEPS = PACPERC PACFFC PACRATC FFFACTSE
-
-${MID}/RFP.nrlib/code.o: ${MID}/RFP.spad
-	@echo P3 making ${MID}/RFP.nrlib/code.o from ${MID}/RFP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${RFPDEPS} \n )co RFP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${RFPDEPS} \n )co RFP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-NSDPSDEPS = LOCPOWC
-
-${MID}/NSDPS.nrlib/code.o: ${MID}/NSDPS.spad
-	@echo P3 making ${MID}/NSDPS.nrlib/code.o from ${MID}/NSDPS.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${NSDPSDEPS} \n )co NSDPS.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${NSDPSDEPS} \n )co NSDPS.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-LISYSERDEPS = LOCPOWC LOP
-
-${MID}/LISYSER.nrlib/code.o: ${MID}/LISYSER.spad
-	@echo P3 making ${MID}/LISYSER.nrlib/code.o from ${MID}/LISYSER.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${LISYSERDEPS} \n )co LISYSER.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${LISYSERDEPS} \n )co LISYSER.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-BLQTDEPS = BLMETCT
-
-${MID}/BLQT.nrlib/code.o: ${MID}/BLQT.spad
-	@echo P3 making ${MID}/BLQT.nrlib/code.o from ${MID}/BLQT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${BLQTDEPS} \n )co BLQT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${BLQTDEPS} \n )co BLQT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-BLHNDEPS = BLMETCT
-
-${MID}/BLHN.nrlib/code.o: ${MID}/BLHN.spad
-	@echo P3 making ${MID}/BLHN.nrlib/code.o from ${MID}/BLHN.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${BLHNDEPS} \n )co BLHN.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${BLHNDEPS} \n )co BLHN.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PRSPCATDEPS = SETCATD UTSZ
-
-${MID}/PRSPCAT.nrlib/code.o: ${MID}/PRSPCAT.spad
-	@echo P3 making ${MID}/PRSPCAT.nrlib/code.o from ${MID}/PRSPCAT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PRSPCATDEPS} \n )co PRSPCAT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PRSPCATDEPS} \n )co PRSPCAT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PROJSPDEPS = SETCATD PRSPCAT PACPERC
-
-${MID}/PROJSP.nrlib/code.o: ${MID}/PROJSP.spad
-	@echo P3 making ${MID}/PROJSP.nrlib/code.o from ${MID}/PROJSP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PROJSPDEPS} \n )co PROJSP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PROJSPDEPS} \n )co PROJSP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PROJPLDEPS = SETCATD PRSPCAT PROJSP
-
-${MID}/PROJPL.nrlib/code.o: ${MID}/PROJPL.spad
-	@echo P3 making ${MID}/PROJPL.nrlib/code.o from ${MID}/PROJPL.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PROJPLDEPS} \n )co PROJPL.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PROJPLDEPS} \n )co PROJPL.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PROJPLPSDEPS = PACOFF PRSPCAT PROJPL SETCATD PACFFC PACPERC
-
-${MID}/PROJPLPS.nrlib/code.o: ${MID}/PROJPLPS.spad
-	@echo P3 making ${MID}/PROJPLPS.nrlib/code.o from ${MID}/PROJPLPS.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PROJPLPSDEPS} \n )co PROJPLPS.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PROJPLPSDEPS} \n )co PROJPLPS.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-AFSPCATDEPS = SETCATD
-
-${MID}/AFSPCAT.nrlib/code.o: ${MID}/AFSPCAT.spad
-	@echo P3 making ${MID}/AFSPCAT.nrlib/code.o from ${MID}/AFSPCAT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${AFSPCATDEPS} \n )co AFSPCAT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${AFSPCATDEPS} \n )co AFSPCAT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-AFFSPDEPS = SETCATD AFSPCAT PACPERC
-
-${MID}/AFFSP.nrlib/code.o: ${MID}/AFFSP.spad
-	@echo P3 making ${MID}/AFFSP.nrlib/code.o from ${MID}/AFFSP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${AFFSPDEPS} \n )co AFFSP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${AFFSPDEPS} \n )co AFFSP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-AFFPLDEPS = SETCATD AFSPCAT AFFSP
-
-${MID}/AFFPL.nrlib/code.o: ${MID}/AFFPL.spad
-	@echo P3 making ${MID}/AFFPL.nrlib/code.o from ${MID}/AFFPL.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${AFFPLDEPS} \n )co AFFPL.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${AFFPLDEPS} \n )co AFFPL.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-AFFPLPSDEPS = PACOFF AFSPCAT AFFPL SETCATD PACFFC PACPERC
-
-${MID}/AFFPLPS.nrlib/code.o: ${MID}/AFFPLPS.spad
-	@echo P3 making ${MID}/AFFPLPS.nrlib/code.o from ${MID}/AFFPLPS.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${AFFPLPSDEPS} \n )co AFFPLPS.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${AFFPLPSDEPS} \n )co AFFPLPS.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-DIVDEPS = SETCATD DIVCAT
-
-${MID}/DIV.nrlib/code.o: ${MID}/DIV.spad
-	@echo P3 making ${MID}/DIV.nrlib/code.o from ${MID}/DIV.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${DIVDEPS} \n )co DIV.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${DIVDEPS} \n )co DIV.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-PLACESCDEPS = SETCATD 
-
-${MID}/PLACESC.nrlib/code.o: ${MID}/PLACESC.spad
-	@echo P3 making ${MID}/PLACESC.nrlib/code.o from ${MID}/PLACESC.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PLACESCDEPS} \n )co PLACESC.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PLACESCDEPS} \n )co PLACESC.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-PLCSDEPS = LOCPOWC PLACESC SETCATD DIV
-
-${MID}/PLCS.nrlib/code.o: ${MID}/PLCS.spad
-	@echo P3 making ${MID}/PLCS.nrlib/code.o from ${MID}/PLCS.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PLCSDEPS} \n )co PLCS.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PLCSDEPS} \n )co PLCS.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-PLACESDEPS = NSDPS SETCATD PLACESC PLCS LOCPOWC DIV
-
-${MID}/PLACES.nrlib/code.o: ${MID}/PLACES.spad
-	@echo P3 making ${MID}/PLACES.nrlib/code.o from ${MID}/PLACES.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PLACESDEPS} \n )co PLACES.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PLACESDEPS} \n )co PLACES.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-PLACESPSDEPS = PLACESC SETCATD PACOFF PACFFC PACPERC NSDPS PLCS LOCPOWC DIV
-
-${MID}/PLACESPS.nrlib/code.o: ${MID}/PLACESPS.spad
-	@echo P3 making ${MID}/PLACESPS.nrlib/code.o from ${MID}/PLACESPS.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PLACESPSDEPS} \n )co PLACESPS.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PLACESPSDEPS} \n )co PLACESPS.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-INFCLCTDEPS = PRSPCT LOCPOWC PLACESC DIVCAT BLMETCT AFFPL SETCATD
-
-${MID}/INFCLCT.nrlib/code.o: ${MID}/INFCLCT.spad
-	@echo P3 making ${MID}/INFCLCT.nrlib/code.o from ${MID}/INFCLCT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${INFCLCTDEPS} \n )co INFCLCT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${INFCLCTDEPS} \n )co INFCLCT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-INFCLSPTDEPS = \
-         INFCLCT SETCATD LOCPOWC PRSPCAT PLACESC DIVCAT BLMETCT AFFPL PACPERC
-
-${MID}/INFCLSPT.nrlib/code.o: ${MID}/INFCLSPT.spad
-	@echo P3 making ${MID}/INFCLSPT.nrlib/code.o from ${MID}/INFCLSPT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${INFCLSPTDEPS} \n )co INFCLSPT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${INFCLSPTDEPS} \n )co INFCLSPT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-
-<<newcode>>=
- 
-ICPDEPS = LOCPOWC PRSPCAT DIVCAT BLMETCT PROJPL NSDPS PLACES DIV \
-          INFCLCT INFCLSPT SETCATD PLACESC AFFPL
-
-${MID}/ICP.nrlib/code.o: ${MID}/ICP.spad
-	@echo P3 making ${MID}/ICP.nrlib/code.o from ${MID}/ICP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${ICPDEPS} \n )co ICP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${ICPDEPS} \n )co ICP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-INFCLSPSDEPS = BLMETCT PACOFF PROJPLPS NSDPS PLACESPS DIV INFCLCT INFCLSPT \
-               SETCATD PLACESC LOCPOWC DIVCAT PACOFF AFFPL
-
-${MID}/INFCLSPS.nrlib/code.o: ${MID}/INFCLSPS.spad
-	@echo P3 making ${MID}/INFCLSPS.nrlib/code.o from ${MID}/INFCLSPS.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${INFCLSPSDEPS} \n )co INFCLSPS.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${INFCLSPSDEPS} \n )co INFCLSPS.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-DSTREEDEPS = DSTRCAT
-
-${MID}/DSTREE.nrlib/code.o: ${MID}/DSTREE.spad
-	@echo P3 making ${MID}/DSTREE.nrlib/code.o from ${MID}/DSTREE.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${DSTREEDEPS} \n )co DSTREE.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${DSTREEDEPS} \n )co DSTREE.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-PLPKCRVDEPS = PRSPCAT PFORP SETCATD
-
-${MID}/PLPKCRV.nrlib/code.o: ${MID}/PLPKCRV.spad
-	@echo P3 making ${MID}/PLPKCRV.nrlib/code.o from ${MID}/PLPKCRV.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PLPKCRVDEPS} \n )co PLPKCRV.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PLPKCRVDEPS} \n )co PLPKCRV.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-NPOLYGONDEPS = PFORP
-
-${MID}/NPOLYGON.nrlib/code.o: ${MID}/NPOLYGON.spad
-	@echo P3 making ${MID}/NPOLYGON.nrlib/code.o from ${MID}/NPOLYGON.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${NPOLYGONDEPS} \n )co NPOLYGON.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${NPOLYGONDEPS} \n )co NPOLYGON.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-BLUPPACKDEPS = RFP NPOLYGON BLMETCT PFORP AFFPL PACPERC
-
-${MID}/BLUPPACK.nrlib/code.o: ${MID}/BLUPPACK.spad
-	@echo P3 making ${MID}/BLUPPACK.nrlib/code.o from ${MID}/BLUPPACK.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${BLUPPACKDEPS} \n )co BLUPPACK.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${BLUPPACKDEPS} \n )co BLUPPACK.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-AFALGRESDEPS = PRSPCAT LOCPOWC SETCATD PACFFC PACPERC RFP
-
-${MID}/AFALGRES.nrlib/code.o: ${MID}/AFALGRES.spad
-	@echo P3 making ${MID}/AFALGRES.nrlib/code.o from ${MID}/AFALGRES.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${AFALGRESDEPS} \n )co AFALGRES.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${AFALGRESDEPS} \n )co AFALGRES.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
- 
-AFALGGRODEPS = PRSPCAT LOCPOWC SETCATD PACFFC PACPERC RFP PLPKCRV INTERGB
-
-${MID}/AFALGGRO.nrlib/code.o: ${MID}/AFALGGRO.spad
-	@echo P3 making ${MID}/AFALGGRO.nrlib/code.o from ${MID}/AFALGGRO.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${AFALGGRODEPS} \n )co AFALGGRO.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${AFALGGRODEPS} \n )co AFALGGRO.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PRJALGPKDEPS = PRSPCAT LOCPOWC SETCATD PACFFC PACPERC RFP PLPKCRV INTERGB \
-               AFALGGRO AFALGRES
-
-${MID}/PRJALGPK.nrlib/code.o: ${MID}/PRJALGPK.spad
-	@echo P3 making ${MID}/PRJALGPK.nrlib/code.o from ${MID}/PRJALGPK.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PRJALGPKDEPS} \n )co PRJALGPK.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PRJALGPKDEPS} \n )co PRJALGPK.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-LPARSPTDEPS = PRSPCAT LOCPOWC SETCATD PLACESC PLPKCRV PFORP
-
-${MID}/LPARSPT.nrlib/code.o: ${MID}/LPARSPT.spad
-	@echo P3 making ${MID}/LPARSPT.nrlib/code.o from ${MID}/LPARSPT.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${LPARSPTDEPS} \n )co LPARSPT.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${LPARSPTDEPS} \n )co LPARSPT.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-PARAMPDEPS = PRSPCAT LOCPOWC SETCATD PLACESC
-
-${MID}/PARAMP.nrlib/code.o: ${MID}/PARAMP.spad
-	@echo P3 making ${MID}/PARAMP.nrlib/code.o from ${MID}/PARAMP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${PARAMPDEPS} \n )co PARAMP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${PARAMPDEPS} \n )co PARAMP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-DTPDEPS = PRSPCAT LOCPOWC SETCATD PLACESC DIVCAT INFCLCT DSTRCAT BLMETCT \
-          PFORP AFFPL PARAMP PLPKCRV BLUPPACK LPARSPT DIV PRJALGPK
-
-${MID}/DTP.nrlib/code.o: ${MID}/DTP.spad
-	@echo P3 making ${MID}/DTP.nrlib/code.o from ${MID}/DTP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${DTPDEPS} \n )co DTP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${DTPDEPS} \n )co DTP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-INTFRSPDEPS = PRSPCAT SETCATD LOCPOWC PLACESC DIVCAT PFORP LOP PARAMP \
-              LISYSER
-
-${MID}/INTFRSP.nrlib/code.o: ${MID}/INTFRSP.spad
-	@echo P3 making ${MID}/INTFRSP.nrlib/code.o from ${MID}/INTFRSP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${INTFRSPDEPS} \n )co INTFRSP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${INTFRSPDEPS} \n )co INTFRSP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-INTDIVPDEPS = PRSPCAT SETCATD LOCPOWC PLACESC DIVCAT INFCLCT DSTRCAT \
-              BLMETCT PFORP DTP PARAMP PRJALGPK LPARSPT
-
-${MID}/INTDIVP.nrlib/code.o: ${MID}/INTDIVP.spad
-	@echo P3 making ${MID}/INTDIVP.nrlib/code.o from ${MID}/INTDIVP.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${INTDIVPDEPS} \n )co INTDIVP.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${INTDIVPDEPS} \n )co INTDIVP.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-<<newcode>>=
-
-GPAFFDEPS = PRSPCAT SETCATD LOCPOWC PLACESC DIVCAT INFCLCT DSTRCAT BLMETCT \
-            INTDIVP PACFFC PACPERC PFORP PLPKCRV DTP INTFRSP PRJALGPK \
-            PARAMP LPARSPT UTSZ
-
-${MID}/GPAFF.nrlib/code.o: ${MID}/GPAFF.spad
-	@echo P3 making ${MID}/GPAFF.nrlib/code.o from ${MID}/GPAFF.spad
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo -e ")lib ${GPAFFDEPS} \n )co GPAFF.spad" \
-              | ${INTERPSYS} ; \
-           else \
-	    echo -e ")lib ${GPAFFDEPS} \n )co GPAFF.spad" \
-	      | ${INTERPSYS} >${TMP}/trace ; \
-	   fi )
-@
-
 \section{Broken Files}
 These files are Aldor files
 \begin{verbatim}
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 658bf67..f3f78ab 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2950,5 +2950,7 @@ books/bookvol6 remove AXIOMXLROOT reference<br/>
 Makefile.pamphlet fix environment variables<br/>
 <a href="patches/20100629.06.tpd.patch">20100629.06.tpd.patch</a>
 src/input/monitortest.input fix minor breakage in results<br/>
+<a href="patches/20100629.07.tpd.patch">20100629.07.tpd.patch</a>
+src/algebra/Makefile remove new algebra scaffolding code<br/>
  </body>
 </html>
